#429 Crash with multiple weather objects

closed-fixed
nobody
None
5
2012-11-16
2012-10-31
Vincent C.
No

Conky eventually crashes when ${weather} or ${weather_forecast} are used, usually after a few minutes. Sample conkyrc and output below. Also reported on Debian/Ubuntu's bug trackers: #623106 (http://bugs.debian.org/623106), and LP: #780741 (https://bugs.launchpad.net/bugs/780741) respectively.

$ conky
Conky: desktop window (c00024) is subwindow of root window (b0)
Conky: window type - desktop
Conky: drawing to created window (0x2a00001)
Conky: drawing to double buffer
*** longjmp causes uninitialized stack frame ***: conky terminated
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(__fortify_fail+0x37)[0x7fe9a1156f37]
/lib/x86_64-linux-gnu/libc.so.6(+0xecec9)[0x7fe9a1156ec9]
/lib/x86_64-linux-gnu/libc.so.6(__longjmp_chk+0x33)[0x7fe9a1156e33]
/usr/lib/x86_64-linux-gnu/libcurl-gnutls.so.4(+0xbc85)[0x7fe9a1963c85]
/lib/x86_64-linux-gnu/libpthread.so.0(+0xf030)[0x7fe9a4249030]
/lib/x86_64-linux-gnu/libc.so.6(__select+0x33)[0x7fe9a113c203]
conky[0x40a5c3]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd)[0x7fe9a1088ead]
conky[0x40a881]
======= Memory map: ========
00400000-00467000 r-xp 00000000 08:05 7638924 /usr/bin/conky
00666000-00667000 r--p 00066000 08:05 7638924 /usr/bin/conky
00667000-00669000 rw-p 00067000 08:05 7638924 /usr/bin/conky
00669000-0068d000 rw-p 00000000 00:00 0
01701000-01749000 rw-p 00000000 00:00 0 [heap]
7fe994000000-7fe994021000 rw-p 00000000 00:00 0
7fe994021000-7fe998000000 ---p 00000000 00:00 0
7fe99a8fa000-7fe99a90f000 r-xp 00000000 08:05 3801112 /lib/x86_64-linux-gnu/libgcc_s.so.1
7fe99a90f000-7fe99ab0f000 ---p 00015000 08:05 3801112 /lib/x86_64-linux-gnu/libgcc_s.so.1
7fe99ab0f000-7fe99ab10000 rw-p 00015000 08:05 3801112 /lib/x86_64-linux-gnu/libgcc_s.so.1
7fe99ab10000-7fe99ab15000 r-xp 00000000 08:05 3806268 /lib/x86_64-linux-gnu/libnss_dns-2.13.so
7fe99ab15000-7fe99ad14000 ---p 00005000 08:05 3806268 /lib/x86_64-linux-gnu/libnss_dns-2.13.so
7fe99ad14000-7fe99ad15000 r--p 00004000 08:05 3806268 /lib/x86_64-linux-gnu/libnss_dns-2.13.so
7fe99ad15000-7fe99ad16000 rw-p 00005000 08:05 3806268 /lib/x86_64-linux-gnu/libnss_dns-2.13.so
7fe99ad16000-7fe99ad18000 r-xp 00000000 08:05 3804632 /lib/libnss_mdns4_minimal.so.2
7fe99ad18000-7fe99af17000 ---p 00002000 08:05 3804632 /lib/libnss_mdns4_minimal.so.2
7fe99af17000-7fe99af18000 rw-p 00001000 08:05 3804632 /lib/libnss_mdns4_minimal.so.2
7fe99af18000-7fe99af23000 r-xp 00000000 08:05 3806278 /lib/x86_64-linux-gnu/libnss_files-2.13.so
7fe99af23000-7fe99b122000 ---p 0000b000 08:05 3806278 /lib/x86_64-linux-gnu/libnss_files-2.13.so
7fe99b122000-7fe99b123000 r--p 0000a000 08:05 3806278 /lib/x86_64-linux-gnu/libnss_files-2.13.so
7fe99b123000-7fe99b124000 rw-p 0000b000 08:05 3806278 /lib/x86_64-linux-gnu/libnss_files-2.13.so
7fe99b124000-7fe99b125000 ---p 00000000 00:00 0
7fe99b125000-7fe99b925000 rw-p 00000000 00:00 0 [stack:876]
7fe99b925000-7fe99b926000 ---p 00000000 00:00 0
7fe99b926000-7fe99c126000 rw-p 00000000 00:00 0 [stack:875]
7fe99c126000-7fe99c138000 r-xp 00000000 08:05 8791539 /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so
7fe99c138000-7fe99c338000 ---p 00012000 08:05 8791539 /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so
7fe99c338000-7fe99c33a000 rw-p 00012000 08:05 8791539 /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so
7fe99c33a000-7fe99c33d000 r-xp 00000000 08:05 3804733 /lib/x86_64-linux-gnu/libgpg-error.so.0.8.0
7fe99c33d000-7fe99c53c000 ---p 00003000 08:05 3804733 /lib/x86_64-linux-gnu/libgpg-error.so.0.8.0
7fe99c53c000-7fe99c53d000 rw-p 00002000 08:05 3804733 /lib/x86_64-linux-gnu/libgpg-error.so.0.8.0
7fe99c53d000-7fe99c54e000 r-xp 00000000 08:05 7606421 /usr/lib/x86_64-linux-gnu/libp11-kit.so.0.0.0
7fe99c54e000-7fe99c74d000 ---p 00011000 08:05 7606421 /usr/lib/x86_64-linux-gnu/libp11-kit.so.0.0.0
7fe99c74d000-7fe99c74e000 r--p 00010000 08:05 7606421 /usr/lib/x86_64-linux-gnu/libp11-kit.so.0.0.0
7fe99c74e000-7fe99c74f000 rw-p 00011000 08:05 7606421 /usr/lib/x86_64-linux-gnu/libp11-kit.so.0.0.0
7fe99c74f000-7fe99c75f000 r-xp 00000000 08:05 7606423 /usr/lib/x86_64-linux-gnu/libtasn1.so.3.1.16
7fe99c75f000-7fe99c95e000 ---p 00010000 08:05 7606423 /usr/lib/x86_64-linux-gnu/libtasn1.so.3.1.16
7fe99c95e000-7fe99c95f000 r--p 0000f000 08:05 7606423 /usr/lib/x86_64-linux-gnu/libtasn1.so.3.1.16
7fe99c95f000-7fe99c960000 rw-p 00010000 08:05 7606423 /usr/lib/x86_64-linux-gnu/libtasn1.so.3.1.16
7fe99c960000-7fe99c963000 r-xp 00000000 08:05 3801276 /lib/x86_64-linux-gnu/libkeyutils.so.1.4
7fe99c963000-7fe99cb62000 ---p 00003000 08:05 3801276 /lib/x86_64-linux-gnu/libkeyutils.so.1.4
7fe99cb62000-7fe99cb63000 r--p 00002000 08:05 3801276 /lib/x86_64-linux-gnu/libkeyutils.so.1.4
7fe99cb63000-7fe99cb64000 rw-p 00003000 08:05 3801276 /lib/x86_64-linux-gnu/libkeyutils.so.1.4
7fe99cb64000-7fe99cb6c000 r-xp 00000000 08:05 7603697 /usr/lib/x86_64-linux-gnu/libkrb5support.so.0.1
7fe99cb6c000-7fe99cd6b000 ---p 00008000 08:05 7603697 /usr/lib/x86_64-linux-gnu/libkrb5support.so.0.1
7fe99cd6b000-7fe99cd6c000 r--p 00007000 08:05 7603697 /usr/lib/x86_64-linux-gnu/libkrb5support.so.0.1
7fe99cd6c000-7fe99cd6d000 rw-p 00008000 08:05 7603697 /usr/lib/x86_64-linux-gnu/libkrb5support.so.0.1
7fe99cd6d000-7fe99cd70000 r-xp 00000000 08:05 3801161 /lib/x86_64-linux-gnu/libcom_err.so.2.1
7fe99cd70000-7fe99cf6f000 ---p 00003000 08:05 3801161 /lib/x86_64-linux-gnu/libcom_err.so.2.1
7fe99cf6f000-7fe99cf70000 r--p 00002000 08:05 3801161 /lib/x86_64-linux-gnu/libcom_err.so.2.1
7fe99cf70000-7fe99cf71000 rw-p 00003000 08:05 3801161 /lib/x86_64-linux-gnu/libcom_err.so.2.1
7fe99cf71000-7fe99cf97000 r-xp 00000000 08:05 7603702 /usr/lib/x86_64-linux-gnu/libk5crypto.so.3.1
7fe99cf97000-7fe99d197000 ---p 00026000 08:05 7603702 /usr/lib/x86_64-linux-gnu/libk5crypto.so.3.1
7fe99d197000-7fe99d198000 r--p 00026000 08:05 7603702 /usr/lib/x86_64-linux-gnu/libk5crypto.so.3.1
7fe99d198000-7fe99d199000 rw-p 00027000 08:05 7603702 /usr/lib/x86_64-linux-gnu/libk5crypto.so.3.1
7fe99d199000-7fe99d19a000 rw-p 00000000 00:00 0
7fe99d19a000-7fe99d263000 r-xp 00000000 08:05 7603708 /usr/lib/x86_64-linux-gnu/libkrb5.so.3.3
7fe99d263000-7fe99d462000 ---p 000c9000 08:05 7603708 /usr/lib/x86_64-linux-gnu/libkrb5.so.3.3
7fe99d462000-7fe99d46c000 r--p 000c8000 08:05 7603708 /usr/lib/x86_64-linux-gnu/libkrb5.so.3.3
7fe99d46c000-7fe99d46e000 rw-p 000d2000 08:05 7603708 /usr/lib/x86_64-linux-gnu/libkrb5.so.3.3Aborted

$ cat ~/.conkyrc
own_window yes
own_window_type desktop
double_buffer yes

TEXT
${goto 80}${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDK temperature}°C ${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDK wind_speed}km/h ${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDK wind_dir}
${goto 80}${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDK humidity}% ${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDK weather} ${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDK cloud_cover}
${goto 80}${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDL temperature}°C ${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDL wind_speed}km/h ${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDL wind_dir}
${goto 80}${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDL humidity}% ${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDL weather} ${weather http://weather.noaa.gov/pub/data/observations/metar/stations/ EDDK cloud_cover}

$ conky -V
Conky 1.9.0 compiled Fri May 11 15:54:00 UTC 2012 for Linux 2.6.32-5-amd64 (x86_64)

Compiled in features:

System config file: /etc/conky/conky.conf
Package library path: /usr/lib/conky

X11:
* Xdamage extension
* XDBE (double buffer extension)
* Xft
* ARGB visual

Music detection:
* Audacious
* MPD
* MOC
* XMMS2

General:
* math
* hddtemp
* portmon
* Curl
* RSS
* Weather (METAR)
* Weather (XOAP)
* wireless
* support for IBM/Lenovo notebooks
* nvidia
* eve-online
* config-output
* Imlib2
* apcupsd
* iostats
* ncurses
* Lua

Lua bindings:
* Cairo
* Imlib2

Discussion

  • pavelo

    pavelo - 2012-11-02

    Hi,

    which version of conky are you using? could you please try the latest 1.9.1 version from git? I suspect this is a duplicate of bug #3386728.

    thank you.

     
  • Vincent C.

    Vincent C. - 2012-11-07

    Applying the fix for #3386728 on top of 1.9.0 seems to have fixed this for me, but since I don't usually use ${weather} or anything else that uses curl in my own conkyrc, I'm still waiting for the original bug reporter to report back...

     
  • pavelo

    pavelo - 2012-11-10

    ok, I will leave this open for now, but I am almost sure the problem is fixed. I guess we ought to make a bugfix release to avoid these duplicates...

     
  • Vincent C.

    Vincent C. - 2012-11-16

    Confirmed fixed by bug reporter, so I'll go ahead and close this report. Thanks!

    (With my package maintainer's hat on, I'd appreciate a 1.9.x bugfix release, but it's not urgent or anything. I can always cherrypick patches from git when needed.)

     
  • Vincent C.

    Vincent C. - 2012-11-16
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks